import { Provider } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class LocaleProviderService {
    private _locale;
    private _change;
    constructor(locale: any);
    get localeChange(): Observable<any>;
    getLocaleValue(keyPath: string): string;
    getLocaleSubObj(keyPath: string): object;
    setLocale(locale: any): void;
    getLocaleId(): string;
    getLocale(): any;
    private _getObjectPath;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocaleProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocaleProviderService>;
}
export declare function LOCALE_PROVIDER_SERVICE_FACTORY(exist: LocaleProviderService, locale: any): LocaleProviderService;
export declare const LOCALE_PROVIDER_SERVICE_PROVIDER: Provider;
